/*
 * CallWS.java
 *
 * Created on September 13, 2006, 1:34 PM
 */

package com.sun.examples.web;

import java.io.*;
import java.net.URL;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.xml.namespace.QName;

/**
 *
 * @author gpatil
 * @version
 */
public class CallWS extends HttpServlet {

    //@WebServiceRef(wsdlLocation = "file:/C:/tools/nb5Prjs/demo/StcokServices/src/BPELStockService.wsdl")
    private com.sun.wsdl.BPELStockQuoteServices service;
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Servlet CallWS</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<h1>Servlet CallWS at " + request.getContextPath () + "</h1>");
        out.println("<br>");
        
        try { // Call Web Service Operation
            // Comment below 3 lines if @WebServiceRef annotation is uncommented.
            QName serviceName = new QName("http://www.bpelStockServices.com/wsdl/BPELStockService", "BPELStockQuoteServices");
            URL wsdlLocation = new URL("file:///C:/tools/nb5Prjs/demo/StcokServices/src/BPELStockService.wsdl");
            service = new com.sun.wsdl.BPELStockQuoteServices(wsdlLocation,  serviceName);
            com.sun.wsdl.BPELStockServicesPortType port = service.getBPELStockQuoteServicesPort();
            com.sun.wsdl.GetStockQuoteRequestType part1 = new com.sun.wsdl.GetStockQuoteRequestType();
            part1.setSymbol("SUNW");
            com.sun.wsdl.GetStockQuoteResponseType result = port.getStockQuote(part1);
            out.println("<br>Result: "+result);
            if (result != null) {
                out.println("<br>Quote: " + result.getQuote());
            }
        } catch (Exception ex) {
            out.println("<br>Exception: " + ex.getMessage() + "<br>");
            ex.printStackTrace(out);
            out.println("<br>");            
        }
        
        out.println("<br>");
        out.println("</body>");
        out.println("</html>");
        out.close();
    }
    
    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
